#include <bits/stdc++.h>

using namespace std;

long long mat[1505][1505];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n,m;
    cin>>n>>m;
    for(int i=0;i<n;i++)
        for(int j=0;j<m;j++)
            cin>>mat[i][j];
    if(n+m==3)
    {
        cout<<0;
    }
    if(n==1)
    {
        long long uk=0;
        long long najveci=mat[0][0];
        for(int i=1;i<m;i++)
        {
            if(mat[0][i]>najveci)
                najveci=mat[0][i];
        }
        int st=1;
        while(st<=najveci)
        {
            int br=0;
            for(int i=0;i<m;i++)
            {
                if(mat[0][i]^st)
                    br++;
            }
            if(br>n-br)
                br=n-br;
            uk+=br*st;
            st*=2;
        }
        cout<<uk;
    }
    return 0;
}